Page MenuHomePhabricator

BUG: Campaign date fields cannot be edited as text
Open, Needs TriagePublic

Description

Steps to reproduce:

  • Open a campaign management form.
  • Click the end time date field.
  • Change the year, in the text field, not the popup date picker.
  • Submit

Your date won't be changed. I think the datepicker field is overriding the text field. The text field is supposed to be updated whenever the datepicker field changes, so the backend should honor *only* the text field.

Event Timeline

awight created this task.Apr 24 2015, 7:33 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2015, 7:33 PM
atgo set Security to None.

Can someone tell me the files regarding this bug?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 29 2016, 9:10 PM

and how to open a campaign management form?

and how to open a campaign management form?

Click any of the links at https://meta.wikimedia.org/wiki/Special:CentralNotice

In the end time date field I am not able to change the year.


I am not able to edit the year in the end date.

I am not able to edit the year in the end date.

Only CentralNotice admins can edit anything there. You need to make a wiki where you'll have permission: https://www.mediawiki.org/wiki/MWV

I have a wiki can you tell me the link for a campaign management form in the wiki that I am running on my system?

or the file that is related to this?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 17 2016, 2:13 PM
amritsreekumar removed amritsreekumar as the assignee of this task.Oct 17 2016, 2:13 PM
amritsreekumar added a subscriber: amritsreekumar.

@awight I am running on Mediawiki 1.28 (alpha) in my system and I have edited the end time as said in the instructions, but I found out that it was working fine and the year can be updated using the text field. Is there anything else I should do that could reproduce the above bug?

@awight: Can you please answer @amritsreekumar's question?

@amritsreekumar
Hi, thank you for taking a look at this bug! The funny thing is, this bug seems to have gone *away* due to a regression. There's supposed to be a jquery.ui date picker widget attached to the date field. When that widget works, we have problems editing the date as text. See CentralNotice#dateSelector and resources/infrastructure/centralnotice.js, where we should have attached the widget.

Would you feel like taking a look at this regression first?

@amritsreekumar: This issue has been assigned to you in October 2016.
Could you please share a status update? Are you still working (or still plan to work) on this issue? Is there anything that others could help with?
Only in case you do not plan to work on this issue anymore, should you be removed as assignee (via 'Assign / Claim' in the 'Actions' dropdown menu)?

amritsreekumar removed amritsreekumar as the assignee of this task.Mar 15 2017, 12:45 PM

@Aklapper: Sorry I forgot about de-assigning myself, as this bug had already disappeared due to a regression.

DStrine removed a subscriber: awight.Jun 22 2017, 9:13 PM

Hello @amritsreekumar , can this bug be considered as fixed or what?

@D3r1ck01 I am removing the tag Africa-Wikimedia-Developers because the bug does not exist anymore.

Aklapper edited projects, added TestMe; removed good first task.Jan 9 2018, 2:27 PM

as this bug had already disappeared due to a regression.

Does that mean this bug is fixed? Or cannot be reproduce anymore?

@Aklapper It couldn't be reproduced, not sure if it was fixed.